Remove "provider=paxlogging" from org.apache.commons.logging Import-Package

Description

Please remove provider=paxlogging from manifest and release non-snapshot (0.2.2) version.

0.2.1 is very usefull for me but in some cases (integration tests) I cannot use pax logging and I have issues with missing constraint for jcl (I use jcl-over-slf4j in such case).

I need released version because I'd like to release next version of my application and snapshot (0.3.0-SNAPSHOT) is not accepted.

Environment

None

Activity

Show:
Alin Dreghiciu
February 25, 2008, 10:42 AM

This may be a little problem as I'm in the process of rewriting CONFMAN. It may require a branch starting from 0.2.1 release.
Or maybe I will just move all my work to laboratory and get back to 0.2.1 in trunk.

Alin Dreghiciu
February 26, 2008, 3:50 AM

I rolled back pax confman and moved changes to my laboratory, so this can be implemented.

Alin Dreghiciu
February 26, 2008, 4:52 AM

Actually this issue is already solved as part of = change the way the bundle is build as like other pax projects.
Give it a try and if is fine with you I can release it.

DamianG
February 26, 2008, 9:15 AM

pax-confman-propsloader-0.3.0-SNAPSHOT.jar works for me.

NiclasH
February 26, 2008, 12:08 PM

Also, if the attribute is not "mandatory" then it shouldn't matter.

Assignee

Alin Dreghiciu

Reporter

DamianG

Labels

None

Components

Fix versions

Affects versions

Priority

Major
Configure